using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10004GetSalesRet : PackRetBase
    {
        private int _abbdate;
        public int AbbDate
        {
            get { return _abbdate; }
            set { _abbdate = value; }
        }

        private decimal _money;
        /// <summary>
        /// ÏúÁ¿
        /// </summary>
        public decimal Money
        {
            get { return _money; }
            set { _money = value; }
        }

        private int _ticket;
        /// <summary>
        /// Æ±Êý
        /// </summary>
        public int Ticket
        {
            get { return _ticket; }
            set { _ticket = value; }
        }


        public override void UnPackBody(Newtonsoft.Json.Linq.JToken body)
        {
            AbbDate = Convert.ToInt32(body["abbdate"].ToString());
            Money = Convert.ToDecimal(body["money"].ToString());
            Ticket = Convert.ToInt32(body["ticket"].ToString());
        }
    }
}
